com.verisign.epp.codec.nameWatch

## Class EPPNameWatchMapFactory

- java.lang.Object
- - com.verisign.epp.codec.gen.EPPMapFactory
  - - com.verisign.epp.codec.nameWatch.EPPNameWatchMapFactory

-     public class EPPNameWatchMapFactory
      extends EPPMapFactory

  `EPPNameWatchMapFactory` represents the `EPPCommand` and `EPPResponseMap` factory for the EPP NameWatch Mapping with the XML Namespace URI "urn:ietf:params:xmlns:nameWatch". The fully qualified class name for `EPPNameWatchMapFactory` is included in a call to `EPPFactory.init` or `EPPCodec.init`.
  Version:
    $Revision: 1.1.1.1 $
  Author:
    $Author: jim $
  See Also:
    `EPPCodec`, `EPPFactory`, `EPPCommand`, `EPPResponse`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ELM_NAMEWATCH_AUTHINFO` XML tag name associated with domain authorization information.
    `static java.lang.String` | `NS` Namespace URI associated with EPPNameWatchMapFactory.
    `static java.lang.String` | `NS_CONTACT` Namesapce URI associated with the Contact Command Mapping.
    `static java.lang.String` | `NS_PREFIX` Namespace prefix associated with EPPNameWatchMapFactory.
    `static java.lang.String` | `NS_SCHEMA` EPP NameWatch XML Schema.

    - ### Fields inherited from class com.verisign.epp.codec.gen.EPPMapFactory

      `EPP_CHECK, EPP_CREATE, EPP_DELETE, EPP_INFO, EPP_LOGIN, EPP_LOGOUT, EPP_RENEW, EPP_TRANSFER, EPP_UPDATE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPNameWatchMapFactory()` Allocates a new `EPPNameWatchMapFactory`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `EPPCommand` | `createCommand(org.w3c.dom.Element aMapElement)` creates a concrete `EPPCommand` from the passed in XML Element tree.
    `EPPResponse` | `createResponse(org.w3c.dom.Element aMapElement)` creates a concrete `EPPResponse` from the passed in XML Element tree.
    `EPPService` | `getService()` Gets the `EPPService` associated with `EPPNameWatchMapFactory`.
    `java.util.Set` | `getXmlSchemas()` Gets the list of XML schemas that need to be pre-loaded into the XML Parser.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NS

          public static final java.lang.String NS

      Namespace URI associated with EPPNameWatchMapFactory.
      See Also:
        Constant Field Values

    - #### NS_PREFIX

          public static final java.lang.String NS_PREFIX

      Namespace prefix associated with EPPNameWatchMapFactory.
      See Also:
        Constant Field Values

    - #### NS_CONTACT

          public static final java.lang.String NS_CONTACT

      Namesapce URI associated with the Contact Command Mapping.
      See Also:
        Constant Field Values

    - #### NS_SCHEMA

          public static final java.lang.String NS_SCHEMA

      EPP NameWatch XML Schema.
      See Also:
        Constant Field Values

    - #### ELM_NAMEWATCH_AUTHINFO

          public static final java.lang.String ELM_NAMEWATCH_AUTHINFO

      XML tag name associated with domain authorization information. This value will be passed to the authInfo object when it is initialized in domain command mappings.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPNameWatchMapFactory

          public EPPNameWatchMapFactory()

      Allocates a new `EPPNameWatchMapFactory`. The service attribute will be initialized with the XML namespace information defined by the `EPPNameWatchMapFactory` constants:
      - NS_PREFIX Namespace prefix of `EPPNameWatchMapFactory`
      - NS Namespace URI of `EPPNameWatchMapFactory`
      - NS_SCHEMA Namespace schema reference of `EPPNameWatchMapFactory`

  - ### Method Detail

    - #### createCommand

          public EPPCommand createCommand(org.w3c.dom.Element aMapElement)
                                   throws EPPCodecException

      creates a concrete `EPPCommand` from the passed in XML Element tree. `aMapElement` must be the root node for the command extension. For example, <domain:create> must be the element passed for a NameWatch Create Command.
      Specified by:
        `createCommand` in class `EPPMapFactory`
      Parameters:
        `aMapElement` - Mapping Extension EPP XML Element.
      Returns:
        Concrete `EPPCommand` instance associated with `aMapElement`.
      Throws:
        `EPPCodecException` - Error creating concrete `EPPCommand`

    - #### createResponse

          public EPPResponse createResponse(org.w3c.dom.Element aMapElement)
                                     throws EPPCodecException

      creates a concrete `EPPResponse` from the passed in XML Element tree. `aMapElement` must be the root node for the command extension. For example, <domain:info-data> must be the element passed for a NameWatch Info Response.
      Specified by:
        `createResponse` in class `EPPMapFactory`
      Parameters:
        `aMapElement` - Mapping Extension EPP XML Element.
      Returns:
        Concrete `EPPResponse` instance associated with `aMapElement`.
      Throws:
        `EPPCodecException` - Error creating concrete `EPPResponse`

    - #### getService

          public EPPService getService()

      Gets the `EPPService` associated with `EPPNameWatchMapFactory`. The `EPPService` is used by `EPPFactory` for distributing the responsibility of creating concrete `EPPCommand` and `EPPResponse` objects by XML namespace. The XML namespace is defined in the returned `EPPService`.
      Specified by:
        `getService` in class `EPPMapFactory`
      Returns:
        service description for the NameWatch Command Mapping.

    - #### getXmlSchemas

          public java.util.Set getXmlSchemas()

      Gets the list of XML schemas that need to be pre-loaded into the XML Parser.
      Overrides:
        `getXmlSchemas` in class `EPPMapFactory`
      Returns:
        `Set` of `String` XML Schema names that should be pre-loaded in the XML Parser.
      See Also:
        `EPPMapFactory.getXmlSchemas()`

Copyright © VeriSign Inc. All Rights Reserved.